# Generated from wordnet-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wordnet

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: This library is a Ruby interface to WordNet®[http://wordnet.princeton.edu/]
License: BSD-3-Clause
URL: https://bitbucket.org/ged/ruby-wordnet/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(hoe-mercurial) >= 1.4
# BuildRequires: rubygem(hoe-mercurial) < 2
# BuildRequires: rubygem(hoe-deveiate) >= 0.10
# BuildRequires: rubygem(hoe-deveiate) < 1
# BuildRequires: rubygem(hoe-highline) >= 0.2
# BuildRequires: rubygem(hoe-highline) < 1
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(hoe) >= 3.17
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
This library is a Ruby interface to WordNet®[http://wordnet.princeton.edu/].
WordNet® is an online lexical reference system whose design is inspired by
current psycholinguistic theories of human lexical memory. English nouns,
verbs, adjectives and adverbs are organized into synonym sets, each
representing one underlying lexical concept. Different relations link the
synonym sets.
This library uses SqlUNET[http://sqlunet.sourceforge.net/], which is a
conversion of the WordNet (along with a number of other linguistic databases)
lexicon flatfiles into a relational database format. You can either install
the
{wordnet-defaultdb}[https://rubygems.org/gems/wordnet-defaultdb] gem, which
packages up the SQLite3 version of SqlUNet, or install your own and point the
lexicon at it by passing {Sequel connection
parameters}[http://sequel.jeremyevans.net/rdoc/files/doc/opening_databases_rdoc.html]
to the constructor.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gems
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest.txt
%{gem_instdir}/TODO
%license %{gem_instdir}/WordNet30-license.txt
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/spec
%{gem_instdir}/wordnet.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.1.1-1
- Initial package
